<html>
<body>

	<h3> 1. The MTL monitor </h3>
	<h4> 1.1. The architecture </h4>

<p>
The MTL monitor, implements an online monitoring algorithm based on predefined rewriting rules.
Given an MTL formula φ and a timed trace ω, the monitor alternates rewriting and simplification phases. Rewriting
consumes a symbol σ of ω and partially evaluates the current formula φ into φ'. Partial evaluation includes the unfolding of temporal operators and evaluation of atomic state formula to their truth value.
Simplification aims at applying reduction rules on the formula φ' based on Boolean logic.
</p>

<p>
<figure>
  <img src="img/mtl.png" alt="MTL architecture" width="600" height="160"/>  
</figure>
</p>

	<h4> 1.2. The syntax </h4>

<p>Here we detail the syntax of an MTL formula:
<ul>
	 <li> Temporal operators : Until (U), Release (R), Globally (G), Eventually (F)  and Next (N) </li>

	 <li> Boolean operators : And (&&), Or (||) and Not (!)</li>

	 <li> All temporal operators (except the Next operator) are followed by an interval</li>

	 <li> Intervals are defined as follows : "[lower_bound, upper_bound]"</li>

	 <li> State formulae are boolean expressions over data variables</li>

	 <li> Arithmetic operations can be used in the boolean expressions</li>

	 <li> Available mathematical functions :  exponential (exp) and absolute value (abs)</li>

	 <li> The formula must be written in Negative Normal Form</li>
</ul>

For more clarity, we advise to use parentheses when writing properties.
Note that the right operand must be between parentheses in the case of And operator. 
</p>


	<h4> 1.3. The edition </h4>
<p>
To edit a property, select the current project, then go to the 'formula specification' tab and type your formula.
Once you are done, you can check the syntactic validity the property and/or save the property in the 'Properties' folder.
Saving properties allows to keep track on the verified properties and to load them easily for further analyses.

</p>
<p>
NB : if you save a property with an existing name, it overwrites the existing one.
</p>



	<h3> 2. The LTL monitor </h3>
	<h4> 2.1. The architecture </h4>
	<h4> 2.2. The syntax </h4>


	<h3> 3. Parametric properties </h3>

A parametric property φ(x) is a property that contains a parameter variable.
This variable is used for a parametric exploration. This parameter is not only restricted to the variable name 'x', as long as the same name is specified during the parametric exploration.
</body>
</html>
